/*******************************************************************************
 * FoxLiveStreamingMod_NoHRV generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxLiveStreamingMod_NoHRV extends FoxLiveStreamingMod
    native;

// Export UFoxLiveStreamingMod_NoHRV::execOnTickImpl(FFrame&, void* const)
protected native function OnTickImpl(float DeltaTime);

protected function bool IsPositive()
{
    return false;
    //return ReturnValue;    
}

protected function OnEnd()
{
    local FoxPawn FP;

    FP = GetPawn();
    // End:0x61
    if(FP != none)
    {
        FP.SetHRVCurrent(FP.GetHRVMax());
    }
    //return;    
}

protected function OnHRVRechargeImpl(out float RechargeRate)
{
    RechargeRate = 0.0;
    //return;    
}

protected function OnPlayerRestartImpl()
{
    // End:0x11C
    if(((PC != none) && PC.DynamicUI != none) && PC.DynamicUI.HUD != none)
    {
        PC.DynamicUI.HUD.Outer.Advance(0.0);
        PC.DynamicUI.HUD.ResetCachedHRV();
    }
    //return;    
}
